Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

some stats not available thru libvirt

In using the latest Ocata release under Ubuntu 17.04, I'm getting the following ceilometer errors on the compute nodes.

...

2017-10-12 22:44:58.216 31512 DEBUG ceilometer.compute.virt.libvirt.utils [-] Connecting to libvirt: qemu:///system get_libvirt_connection /usr/lib/python2.7/dist-packages/ceilometer/compute/virt/libvirt/utils.py:83

2017-10-12 22:44:58.244 31512 DEBUG oslo_messaging._drivers.amqpdriver [-] CAST unique_id: f48c30e0215846b39314024f58f3f49f NOTIFY exchange 'ceilometer' topic 'notifications.sample' _send /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amqpdriver.py:426

2017-10-12 22:44:58.252 31512 WARNING ceilometer.compute.pollsters.memory [-] Cannot inspect data of MemoryBandwidthTotalPollster for 32e0885f-a27c-4147-9a0d-317f89b19dc4, non-fatal reason: Perf is not supported by current version of libvirt, and failed to inspect memory bandwidth of 32e0885f-a27c-4147-9a0d-317f89b19dc4, can not get info from libvirt: 'perf.mbmt'

2017-10-12 22:44:58.253 31512 ERROR ceilometer.agent.manager [-] Prevent pollster memory.bandwidth.total from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

2017-10-12 22:44:58.254 31512 DEBUG ceilometer.compute.pollsters.disk [-] LibvirtInspector does not provide data for ReadBytesRatePollster get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/disk.py:306

2017-10-12 22:44:58.255 31512 ERROR ceilometer.agent.manager [-] Prevent pollster disk.read.bytes.rate from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

2017-10-12 22:44:58.428 31512 DEBUG ceilometer.compute.pollsters.cpu [-] Obtaining CPU Util is not implemented for LibvirtInspector get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/cpu.py:97

2017-10-12 22:44:58.429 31512 ERROR ceilometer.agent.manager [-] Prevent pollster cpu_util from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

When I check the libvirt-* software in use, I get:

apt list | grep libvirt

gir1.2-libvirt-glib-1.0/zesty 1.0.0-1 amd64 gir1.2-libvirt-sandbox-1.0/zesty 0.5.1+git20151113-3 amd64 libnss-libvirt/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-bin/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-clients/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon-system/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-dev/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-doc/zesty-updates,zesty-updates 2.5.0-3ubuntu5.5 all libvirt-glib-1.0-0/zesty 1.0.0-1 amd64 libvirt-glib-1.0-dev/zesty 1.0.0-1 amd64 libvirt-ocaml/zesty 0.6.1.4-1 amd64 libvirt-ocaml-dev/zesty 0.6.1.4-1 amd64 libvirt-sandbox-1.0-5/zesty 0.5.1+git20151113-3 amd64 libvirt-sandbox-1.0-dev/zesty 0.5.1+git20151113-3 amd64 libvirt-sanlock/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt0/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirtodbc0/zesty 6.1.6+repack-0ubuntu7 amd64 libvirtuoso5.5-cil/zesty 6.1.6+repack-0ubuntu7 amd64 munin-libvirt-plugins/zesty,zesty 0.0.6-1 all nbdkit-plugin-libvirt/zesty 1.1.12-1build2 amd64 nova-compute-libvirt/zesty-updates,zesty-updates,now 2:15.0.7-0ubuntu1 all [installed,automatic] php-libvirt-php/zesty 0.5.2~30-g64dca6f-3 amd64 python-libvirt/zesty,now 3.0.0-2 amd64 [installed,automatic] python3-libvirt/zesty 3.0.0-2 amd64 ruby-fog-libvirt/zesty,zesty 0.3.0-1 all ruby-libvirt/zesty 0.7.0-1 amd64 uvtool-libvirt/zesty,zesty 0~bzr99-0ubuntu2 all vagrant-libvirt/zesty,zesty 0.0.37-1 all

What could be the reason for the ERRORs and more importantly what can I do to eliminate them. I'm especially in need of obtaining and dispatching the cpu_util stats to the controller so that some actions (e.g., auto-scalability) can be taken on it.

I'll be happy to supply related *.conf data if that'll be of any help.

Thank you in advance for possible pointers,

some stats not available thru libvirt

In using the latest Ocata release under Ubuntu 17.04, I'm getting the following ceilometer errors on the compute nodes.

...

2017-10-12 22:44:58.216 31512 DEBUG ceilometer.compute.virt.libvirt.utils [-] Connecting to libvirt: qemu:///system get_libvirt_connection /usr/lib/python2.7/dist-packages/ceilometer/compute/virt/libvirt/utils.py:83

2017-10-12 22:44:58.244 31512 DEBUG oslo_messaging._drivers.amqpdriver [-] CAST unique_id: f48c30e0215846b39314024f58f3f49f NOTIFY exchange 'ceilometer' topic 'notifications.sample' _send /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amqpdriver.py:426

2017-10-12 22:44:58.252 31512 WARNING ceilometer.compute.pollsters.memory [-] Cannot inspect data of MemoryBandwidthTotalPollster for 32e0885f-a27c-4147-9a0d-317f89b19dc4, non-fatal reason: Perf is not supported by current version of libvirt, and failed to inspect memory bandwidth of 32e0885f-a27c-4147-9a0d-317f89b19dc4, can not get info from libvirt: 'perf.mbmt'

2017-10-12 22:44:58.253 31512 ERROR ceilometer.agent.manager [-] Prevent pollster memory.bandwidth.total from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

2017-10-12 22:44:58.254 31512 DEBUG ceilometer.compute.pollsters.disk [-] LibvirtInspector does not provide data for ReadBytesRatePollster get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/disk.py:306

2017-10-12 22:44:58.255 31512 ERROR ceilometer.agent.manager [-] Prevent pollster disk.read.bytes.rate from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

2017-10-12 22:44:58.428 31512 DEBUG ceilometer.compute.pollsters.cpu [-] Obtaining CPU Util is not implemented for LibvirtInspector get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/cpu.py:97

2017-10-12 22:44:58.429 31512 ERROR ceilometer.agent.manager [-] Prevent pollster cpu_util from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

When I check the libvirt-* software in use, I get:

$ apt list | grep libvirt

libvirt gir1.2-libvirt-glib-1.0/zesty 1.0.0-1 amd64 gir1.2-libvirt-sandbox-1.0/zesty 0.5.1+git20151113-3 amd64 libnss-libvirt/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-bin/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-clients/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon-system/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-dev/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-doc/zesty-updates,zesty-updates 2.5.0-3ubuntu5.5 all libvirt-glib-1.0-0/zesty 1.0.0-1 amd64 libvirt-glib-1.0-dev/zesty 1.0.0-1 amd64 libvirt-ocaml/zesty 0.6.1.4-1 amd64 libvirt-ocaml-dev/zesty 0.6.1.4-1 amd64 libvirt-sandbox-1.0-5/zesty 0.5.1+git20151113-3 amd64 libvirt-sandbox-1.0-dev/zesty 0.5.1+git20151113-3 amd64 libvirt-sanlock/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt0/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirtodbc0/zesty 6.1.6+repack-0ubuntu7 amd64 libvirtuoso5.5-cil/zesty 6.1.6+repack-0ubuntu7 amd64 munin-libvirt-plugins/zesty,zesty 0.0.6-1 all nbdkit-plugin-libvirt/zesty 1.1.12-1build2 amd64 nova-compute-libvirt/zesty-updates,zesty-updates,now 2:15.0.7-0ubuntu1 all [installed,automatic] php-libvirt-php/zesty 0.5.2~30-g64dca6f-3 amd64 python-libvirt/zesty,now 3.0.0-2 amd64 [installed,automatic] python3-libvirt/zesty 3.0.0-2 amd64 ruby-fog-libvirt/zesty,zesty 0.3.0-1 all ruby-libvirt/zesty 0.7.0-1 amd64 uvtool-libvirt/zesty,zesty 0~bzr99-0ubuntu2 all vagrant-libvirt/zesty,zesty 0.0.37-1 all

What could be the reason for the ERRORs and more importantly what can I do to eliminate them. I'm especially in need of obtaining and dispatching the cpu_util stats to the controller so that some actions (e.g., auto-scalability) can be taken on it.

I'll be happy to supply related *.conf data if that'll be of any help.

Thank you in advance for possible pointers,

some stats not available thru libvirt

In using the latest Ocata release under Ubuntu 17.04, I'm getting the following ceilometer errors on the compute nodes.

...

2017-10-12 22:44:58.216 31512 DEBUG ceilometer.compute.virt.libvirt.utils [-] Connecting to libvirt: qemu:///system get_libvirt_connection /usr/lib/python2.7/dist-packages/ceilometer/compute/virt/libvirt/utils.py:83

2017-10-12 22:44:58.244 31512 DEBUG oslo_messaging._drivers.amqpdriver [-] CAST unique_id: f48c30e0215846b39314024f58f3f49f NOTIFY exchange 'ceilometer' topic 'notifications.sample' _send /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amqpdriver.py:426

2017-10-12 22:44:58.252 31512 WARNING ceilometer.compute.pollsters.memory [-] Cannot inspect data of MemoryBandwidthTotalPollster for 32e0885f-a27c-4147-9a0d-317f89b19dc4, non-fatal reason: Perf is not supported by current version of libvirt, and failed to inspect memory bandwidth of 32e0885f-a27c-4147-9a0d-317f89b19dc4, can not get info from libvirt: 'perf.mbmt'

2017-10-12 22:44:58.253 31512 ERROR ceilometer.agent.manager [-] Prevent pollster memory.bandwidth.total from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

2017-10-12 22:44:58.254 31512 DEBUG ceilometer.compute.pollsters.disk [-] LibvirtInspector does not provide data for ReadBytesRatePollster get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/disk.py:306

2017-10-12 22:44:58.255 31512 ERROR ceilometer.agent.manager [-] Prevent pollster disk.read.bytes.rate from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

2017-10-12 22:44:58.428 31512 DEBUG ceilometer.compute.pollsters.cpu [-] Obtaining CPU Util is not implemented for LibvirtInspector get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/cpu.py:97

2017-10-12 22:44:58.429 31512 ERROR ceilometer.agent.manager [-] Prevent pollster cpu_util from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

When I check the libvirt-* software in use, I get:

$ apt list | grep libvirt gir1.2-libvirt-glib-1.0/zesty 1.0.0-1 amd64 gir1.2-libvirt-sandbox-1.0/zesty 0.5.1+git20151113-3 amd64 libnss-libvirt/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-bin/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-clients/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon-system/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-dev/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-doc/zesty-updates,zesty-updates 2.5.0-3ubuntu5.5 all libvirt-glib-1.0-0/zesty 1.0.0-1 amd64 libvirt-glib-1.0-dev/zesty 1.0.0-1 amd64 libvirt-ocaml/zesty 0.6.1.4-1 amd64 libvirt-ocaml-dev/zesty 0.6.1.4-1 amd64 libvirt-sandbox-1.0-5/zesty 0.5.1+git20151113-3 amd64 libvirt-sandbox-1.0-dev/zesty 0.5.1+git20151113-3 amd64 libvirt-sanlock/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt0/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirtodbc0/zesty 6.1.6+repack-0ubuntu7 amd64 libvirtuoso5.5-cil/zesty 6.1.6+repack-0ubuntu7 amd64 munin-libvirt-plugins/zesty,zesty 0.0.6-1 all nbdkit-plugin-libvirt/zesty 1.1.12-1build2 amd64 nova-compute-libvirt/zesty-updates,zesty-updates,now 2:15.0.7-0ubuntu1 all [installed,automatic] php-libvirt-php/zesty 0.5.2~30-g64dca6f-3 amd64 python-libvirt/zesty,now 3.0.0-2 amd64 [installed,automatic] python3-libvirt/zesty 3.0.0-2 amd64 ruby-fog-libvirt/zesty,zesty 0.3.0-1 all ruby-libvirt/zesty 0.7.0-1 amd64 uvtool-libvirt/zesty,zesty 0~bzr99-0ubuntu2 all vagrant-libvirt/zesty,zesty 0.0.37-1 all

What could be the reason for the ERRORs and more importantly what can I do to eliminate them. I'm especially in need of obtaining and dispatching the cpu_util stats to the controller so that some actions (e.g., auto-scalability) can be taken on it.

I'll be happy to supply related *.conf data if that'll be of any help.

Thank you in advance for possible pointers,

some cpu_util stats (and more) not available thru libvirtlibvirt/LibvirtInspector

In using the latest Ocata release under Ubuntu 17.04, I'm getting the following ceilometer errors on the compute nodes.

...

2017-10-12 22:44:58.216 31512 DEBUG ceilometer.compute.virt.libvirt.utils [-] Connecting to libvirt: qemu:///system get_libvirt_connection /usr/lib/python2.7/dist-packages/ceilometer/compute/virt/libvirt/utils.py:83

2017-10-12 22:44:58.244 31512 DEBUG oslo_messaging._drivers.amqpdriver [-] CAST unique_id: f48c30e0215846b39314024f58f3f49f NOTIFY exchange 'ceilometer' topic 'notifications.sample' _send /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amqpdriver.py:426

2017-10-12 22:44:58.252 31512 WARNING ceilometer.compute.pollsters.memory [-] Cannot inspect data of MemoryBandwidthTotalPollster for 32e0885f-a27c-4147-9a0d-317f89b19dc4, non-fatal reason: Perf is not supported by current version of libvirt, and failed to inspect memory bandwidth of 32e0885f-a27c-4147-9a0d-317f89b19dc4, can not get info from libvirt: 'perf.mbmt'

2017-10-12 22:44:58.253 31512 ERROR ceilometer.agent.manager [-] Prevent pollster memory.bandwidth.total from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

2017-10-12 22:44:58.254 31512 DEBUG ceilometer.compute.pollsters.disk [-] LibvirtInspector does not provide data for ReadBytesRatePollster get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/disk.py:306

2017-10-12 22:44:58.255 31512 ERROR ceilometer.agent.manager [-] Prevent pollster disk.read.bytes.rate from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

2017-10-12 22:44:58.428 31512 DEBUG ceilometer.compute.pollsters.cpu [-] Obtaining CPU Util is not implemented for LibvirtInspector get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/cpu.py:97

2017-10-12 22:44:58.429 31512 ERROR ceilometer.agent.manager [-] Prevent pollster cpu_util from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

When I check the libvirt-* software in use, I get:

$ apt list | grep libvirt gir1.2-libvirt-glib-1.0/zesty 1.0.0-1 amd64 gir1.2-libvirt-sandbox-1.0/zesty 0.5.1+git20151113-3 amd64 libnss-libvirt/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-bin/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-clients/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon-system/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-dev/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-doc/zesty-updates,zesty-updates 2.5.0-3ubuntu5.5 all libvirt-glib-1.0-0/zesty 1.0.0-1 amd64 libvirt-glib-1.0-dev/zesty 1.0.0-1 amd64 libvirt-ocaml/zesty 0.6.1.4-1 amd64 libvirt-ocaml-dev/zesty 0.6.1.4-1 amd64 libvirt-sandbox-1.0-5/zesty 0.5.1+git20151113-3 amd64 libvirt-sandbox-1.0-dev/zesty 0.5.1+git20151113-3 amd64 libvirt-sanlock/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt0/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirtodbc0/zesty 6.1.6+repack-0ubuntu7 amd64 libvirtuoso5.5-cil/zesty 6.1.6+repack-0ubuntu7 amd64 munin-libvirt-plugins/zesty,zesty 0.0.6-1 all nbdkit-plugin-libvirt/zesty 1.1.12-1build2 amd64 nova-compute-libvirt/zesty-updates,zesty-updates,now 2:15.0.7-0ubuntu1 all [installed,automatic] php-libvirt-php/zesty 0.5.2~30-g64dca6f-3 amd64 python-libvirt/zesty,now 3.0.0-2 amd64 [installed,automatic] python3-libvirt/zesty 3.0.0-2 amd64 ruby-fog-libvirt/zesty,zesty 0.3.0-1 all ruby-libvirt/zesty 0.7.0-1 amd64 uvtool-libvirt/zesty,zesty 0~bzr99-0ubuntu2 all vagrant-libvirt/zesty,zesty 0.0.37-1 all

What could be the reason for the ERRORs and more importantly what can I do to eliminate them. I'm especially in need of obtaining and dispatching the cpu_util stats to the controller so that some actions (e.g., auto-scalability) can be taken on it.

I'll be happy to supply related *.conf data if that'll be of any help.

Thank you in advance for possible pointers,

cpu_util stats (and more) not available thru cannot be obtained via libvirt/LibvirtInspector

In using the latest Ocata release under Ubuntu 17.04, I'm getting the following ceilometer errors on the compute nodes.

...

2017-10-12 22:44:58.216 31512 DEBUG ceilometer.compute.virt.libvirt.utils [-] Connecting to libvirt: qemu:///system get_libvirt_connection /usr/lib/python2.7/dist-packages/ceilometer/compute/virt/libvirt/utils.py:83

2017-10-12 22:44:58.244 31512 DEBUG oslo_messaging._drivers.amqpdriver [-] CAST unique_id: f48c30e0215846b39314024f58f3f49f NOTIFY exchange 'ceilometer' topic 'notifications.sample' _send /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amqpdriver.py:426

2017-10-12 22:44:58.252 31512 WARNING ceilometer.compute.pollsters.memory [-] Cannot inspect data of MemoryBandwidthTotalPollster for 32e0885f-a27c-4147-9a0d-317f89b19dc4, non-fatal reason: Perf is not supported by current version of libvirt, and failed to inspect memory bandwidth of 32e0885f-a27c-4147-9a0d-317f89b19dc4, can not get info from libvirt: 'perf.mbmt'

2017-10-12 22:44:58.253 31512 ERROR ceilometer.agent.manager [-] Prevent pollster memory.bandwidth.total from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

2017-10-12 22:44:58.254 31512 DEBUG ceilometer.compute.pollsters.disk [-] LibvirtInspector does not provide data for ReadBytesRatePollster get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/disk.py:306

2017-10-12 22:44:58.255 31512 ERROR ceilometer.agent.manager [-] Prevent pollster disk.read.bytes.rate from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

2017-10-12 22:44:58.428 31512 DEBUG ceilometer.compute.pollsters.cpu [-] Obtaining CPU Util is not implemented for LibvirtInspector get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/cpu.py:97

2017-10-12 22:44:58.429 31512 ERROR ceilometer.agent.manager [-] Prevent pollster cpu_util from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

When I check the libvirt-* software in use, I get:

$ apt list | grep libvirt gir1.2-libvirt-glib-1.0/zesty 1.0.0-1 amd64 gir1.2-libvirt-sandbox-1.0/zesty 0.5.1+git20151113-3 amd64 libnss-libvirt/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-bin/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-clients/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon-system/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-dev/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-doc/zesty-updates,zesty-updates 2.5.0-3ubuntu5.5 all libvirt-glib-1.0-0/zesty 1.0.0-1 amd64 libvirt-glib-1.0-dev/zesty 1.0.0-1 amd64 libvirt-ocaml/zesty 0.6.1.4-1 amd64 libvirt-ocaml-dev/zesty 0.6.1.4-1 amd64 libvirt-sandbox-1.0-5/zesty 0.5.1+git20151113-3 amd64 libvirt-sandbox-1.0-dev/zesty 0.5.1+git20151113-3 amd64 libvirt-sanlock/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt0/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirtodbc0/zesty 6.1.6+repack-0ubuntu7 amd64 libvirtuoso5.5-cil/zesty 6.1.6+repack-0ubuntu7 amd64 munin-libvirt-plugins/zesty,zesty 0.0.6-1 all nbdkit-plugin-libvirt/zesty 1.1.12-1build2 amd64 nova-compute-libvirt/zesty-updates,zesty-updates,now 2:15.0.7-0ubuntu1 all [installed,automatic] php-libvirt-php/zesty 0.5.2~30-g64dca6f-3 amd64 python-libvirt/zesty,now 3.0.0-2 amd64 [installed,automatic] python3-libvirt/zesty 3.0.0-2 amd64 ruby-fog-libvirt/zesty,zesty 0.3.0-1 all ruby-libvirt/zesty 0.7.0-1 amd64 uvtool-libvirt/zesty,zesty 0~bzr99-0ubuntu2 all vagrant-libvirt/zesty,zesty 0.0.37-1 all

What could be the reason for the ERRORs and more importantly what can I do to eliminate them. I'm especially in need of obtaining and dispatching the cpu_util stats to the controller so that some actions (e.g., auto-scalability) can be taken on it.

I'll be happy to supply related *.conf data if that'll be of any help.

Thank you in advance for possible pointers,

cpu_util stats (and more) cannot be obtained from libvirt via libvirt/LibvirtInspectorLibvirtInspector

In using the latest Ocata release under Ubuntu 17.04, I'm getting the following ceilometer errors on the compute nodes.

...

2017-10-12 22:44:58.216 31512 DEBUG ceilometer.compute.virt.libvirt.utils [-] Connecting to libvirt: qemu:///system get_libvirt_connection /usr/lib/python2.7/dist-packages/ceilometer/compute/virt/libvirt/utils.py:83

2017-10-12 22:44:58.244 31512 DEBUG oslo_messaging._drivers.amqpdriver [-] CAST unique_id: f48c30e0215846b39314024f58f3f49f NOTIFY exchange 'ceilometer' topic 'notifications.sample' _send /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amqpdriver.py:426

2017-10-12 22:44:58.252 31512 WARNING ceilometer.compute.pollsters.memory [-] Cannot inspect data of MemoryBandwidthTotalPollster for 32e0885f-a27c-4147-9a0d-317f89b19dc4, non-fatal reason: Perf is not supported by current version of libvirt, and failed to inspect memory bandwidth of 32e0885f-a27c-4147-9a0d-317f89b19dc4, can not get info from libvirt: 'perf.mbmt'

2017-10-12 22:44:58.253 31512 ERROR ceilometer.agent.manager [-] Prevent pollster memory.bandwidth.total from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

2017-10-12 22:44:58.254 31512 DEBUG ceilometer.compute.pollsters.disk [-] LibvirtInspector does not provide data for ReadBytesRatePollster get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/disk.py:306

2017-10-12 22:44:58.255 31512 ERROR ceilometer.agent.manager [-] Prevent pollster disk.read.bytes.rate from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

2017-10-12 22:44:58.428 31512 DEBUG ceilometer.compute.pollsters.cpu [-] Obtaining CPU Util is not implemented for LibvirtInspector get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/cpu.py:97

2017-10-12 22:44:58.429 31512 ERROR ceilometer.agent.manager [-] Prevent pollster cpu_util from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

When I check the libvirt-* software in use, I get:

$ apt list | grep libvirt gir1.2-libvirt-glib-1.0/zesty 1.0.0-1 amd64 gir1.2-libvirt-sandbox-1.0/zesty 0.5.1+git20151113-3 amd64 libnss-libvirt/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-bin/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-clients/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon-system/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-dev/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-doc/zesty-updates,zesty-updates 2.5.0-3ubuntu5.5 all libvirt-glib-1.0-0/zesty 1.0.0-1 amd64 libvirt-glib-1.0-dev/zesty 1.0.0-1 amd64 libvirt-ocaml/zesty 0.6.1.4-1 amd64 libvirt-ocaml-dev/zesty 0.6.1.4-1 amd64 libvirt-sandbox-1.0-5/zesty 0.5.1+git20151113-3 amd64 libvirt-sandbox-1.0-dev/zesty 0.5.1+git20151113-3 amd64 libvirt-sanlock/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt0/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirtodbc0/zesty 6.1.6+repack-0ubuntu7 amd64 libvirtuoso5.5-cil/zesty 6.1.6+repack-0ubuntu7 amd64 munin-libvirt-plugins/zesty,zesty 0.0.6-1 all nbdkit-plugin-libvirt/zesty 1.1.12-1build2 amd64 nova-compute-libvirt/zesty-updates,zesty-updates,now 2:15.0.7-0ubuntu1 all [installed,automatic] php-libvirt-php/zesty 0.5.2~30-g64dca6f-3 amd64 python-libvirt/zesty,now 3.0.0-2 amd64 [installed,automatic] python3-libvirt/zesty 3.0.0-2 amd64 ruby-fog-libvirt/zesty,zesty 0.3.0-1 all ruby-libvirt/zesty 0.7.0-1 amd64 uvtool-libvirt/zesty,zesty 0~bzr99-0ubuntu2 all vagrant-libvirt/zesty,zesty 0.0.37-1 all

What could be the reason for the ERRORs and more importantly what can I do to eliminate them. I'm especially in need of obtaining and dispatching the cpu_util stats to the controller so that some actions (e.g., auto-scalability) can be taken on it.

I'll be happy to supply related *.conf data if that'll be of any help.

Thank you in advance for possible pointers,

cpu_util and perf stats (and more) cannot be obtained from libvirt via LibvirtInspector(via LibvirtInspector)

In using the latest Ocata release under Ubuntu 17.04, I'm getting the following ceilometer errors on the compute nodes.

...

2017-10-12 22:44:58.216 31512 DEBUG ceilometer.compute.virt.libvirt.utils [-] Connecting to libvirt: qemu:///system get_libvirt_connection /usr/lib/python2.7/dist-packages/ceilometer/compute/virt/libvirt/utils.py:83

2017-10-12 22:44:58.244 31512 DEBUG oslo_messaging._drivers.amqpdriver [-] CAST unique_id: f48c30e0215846b39314024f58f3f49f NOTIFY exchange 'ceilometer' topic 'notifications.sample' _send /usr/lib/python2.7/dist-packages/oslo_messaging/_drivers/amqpdriver.py:426

2017-10-12 22:44:58.252 31512 WARNING ceilometer.compute.pollsters.memory [-] Cannot inspect data of MemoryBandwidthTotalPollster for 32e0885f-a27c-4147-9a0d-317f89b19dc4, non-fatal reason: Perf is not supported by current version of libvirt, and failed to inspect memory bandwidth of 32e0885f-a27c-4147-9a0d-317f89b19dc4, can not get info from libvirt: 'perf.mbmt'

2017-10-12 22:44:58.253 31512 ERROR ceilometer.agent.manager [-] Prevent pollster memory.bandwidth.total from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

2017-10-12 22:44:58.254 31512 DEBUG ceilometer.compute.pollsters.disk [-] LibvirtInspector does not provide data for ReadBytesRatePollster get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/disk.py:306

2017-10-12 22:44:58.255 31512 ERROR ceilometer.agent.manager [-] Prevent pollster disk.read.bytes.rate from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

2017-10-12 22:44:58.428 31512 DEBUG ceilometer.compute.pollsters.cpu [-] Obtaining CPU Util is not implemented for LibvirtInspector get_samples /usr/lib/python2.7/dist-packages/ceilometer/compute/pollsters/cpu.py:97

2017-10-12 22:44:58.429 31512 ERROR ceilometer.agent.manager [-] Prevent pollster cpu_util from polling [<novalikeserver: ca-3dhlu-kul7qu6cj25u-sample_as_coe_vnfc-psuy2vdhdnub="">, <novalikeserver: sample-db-oam1="">] on source all_pollsters anymore!

...

When I check the libvirt-* software in use, I get:

$ apt list | grep libvirt gir1.2-libvirt-glib-1.0/zesty 1.0.0-1 amd64 gir1.2-libvirt-sandbox-1.0/zesty 0.5.1+git20151113-3 amd64 libnss-libvirt/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-bin/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-clients/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-daemon-system/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirt-dev/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt-doc/zesty-updates,zesty-updates 2.5.0-3ubuntu5.5 all libvirt-glib-1.0-0/zesty 1.0.0-1 amd64 libvirt-glib-1.0-dev/zesty 1.0.0-1 amd64 libvirt-ocaml/zesty 0.6.1.4-1 amd64 libvirt-ocaml-dev/zesty 0.6.1.4-1 amd64 libvirt-sandbox-1.0-5/zesty 0.5.1+git20151113-3 amd64 libvirt-sandbox-1.0-dev/zesty 0.5.1+git20151113-3 amd64 libvirt-sanlock/zesty-updates 2.5.0-3ubuntu5.5 amd64 libvirt0/zesty-updates,now 2.5.0-3ubuntu5.5 amd64 [installed,automatic] libvirtodbc0/zesty 6.1.6+repack-0ubuntu7 amd64 libvirtuoso5.5-cil/zesty 6.1.6+repack-0ubuntu7 amd64 munin-libvirt-plugins/zesty,zesty 0.0.6-1 all nbdkit-plugin-libvirt/zesty 1.1.12-1build2 amd64 nova-compute-libvirt/zesty-updates,zesty-updates,now 2:15.0.7-0ubuntu1 all [installed,automatic] php-libvirt-php/zesty 0.5.2~30-g64dca6f-3 amd64 python-libvirt/zesty,now 3.0.0-2 amd64 [installed,automatic] python3-libvirt/zesty 3.0.0-2 amd64 ruby-fog-libvirt/zesty,zesty 0.3.0-1 all ruby-libvirt/zesty 0.7.0-1 amd64 uvtool-libvirt/zesty,zesty 0~bzr99-0ubuntu2 all vagrant-libvirt/zesty,zesty 0.0.37-1 all

What could be the reason for the ERRORs and more importantly what can I do to eliminate them. I'm especially in need of obtaining and dispatching the cpu_util stats to the controller so that some actions (e.g., auto-scalability) can be taken on it.

I'll be happy to supply related *.conf data if that'll be of any help.

Thank you in advance for possible pointers,